Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class DOMNodeToOutputStream

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.bea.wlpi.client.common.DOMNodeToOutputStream

public abstract class DOMNodeToOutputStream
extends org.xml.sax.helpers.DefaultHandler

This class outputs a DOM node to a stream.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DOMNodeToOutputStream()`

Method Summary
`void` | `output(XMLWriter writer, int indent, org.w3c.dom.Node node)` Writes a DOM node to a stream.
`void` | `output(XMLWriter writer, int indent, org.w3c.dom.Node node, java.util.List ignoredNodes)` Writes a DOM node to a stream.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMNodeToOutputStream

    public DOMNodeToOutputStream()

Method Detail

### output

    public void output(XMLWriter writer,
                       int indent,
                       org.w3c.dom.Node node)
                throws java.io.IOException

  Writes a DOM node to a stream.

  Parameters:
    `writer` - The character stream to write to.
    `indent` - The initial indent.
    `node` - DOM node.

### output

    public void output(XMLWriter writer,
                       int indent,
                       org.w3c.dom.Node node,
                       java.util.List ignoredNodes)
                throws java.io.IOException

  Writes a DOM node to a stream.

  Parameters:
    `writer` - The character stream to write to.
    `indent` - The initial indent.
    `node` - DOM node.
    `ignoredNodes` - The list of nodes that are excluded from output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)